Visulaization error


(shree) #1

Hi,
I am new to ELK, while installing Metricbeat i got the mentioned error, but i'm getting the results in discover.

Could any one help me to solve this please????

Saved Visualization Service: Visualization type of "metrics" is invalid. Please change to a valid type.

Saved Visualization Service: Visualization type of "timelion" is invalid. Please change to a valid type.


(Christian Dahlqvist) #2

Which versions of Metricbeat, Elasticsearch and Kibana are you using?


(shree) #3

I am using
Elasticsearch as 2.4.6,
Kibana- 4.5.4 and
Metricbeat it showing version as @1


(Christian Dahlqvist) #4

It looks like you are using a too new version of Metricbeat that is not backwards compatible with such an old version of the stack. Check exactly which version you have got installed.


(shree) #5

How can I check the version of metricbeat exactly? Also this kibana error is because of using different versions??
What version i have to upgrade the kibana ?
Kindly, please clarify my doubts.


(Christian Dahlqvist) #6

If you want to upgrade Kibana you also have to upgrade Elasticsearch.

How did you install Metricbeat? What does the Metricbeat logs say?


Type of Metrics is invalid
(system) #7

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.